{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "PREF_DEFAULT_VALUE"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "PARAM_VALUE"; }; 
            name = prefDefaultValue; 
            valueClassName = NSString; 
            valueType = S; 
            width = 500; 
        }, 
        {
            allowsNull = Y; 
            columnName = "pref_description"; 
            externalType = VARCHAR2; 
            name = prefDescription; 
            valueClassName = NSString; 
            valueType = S; 
            width = 500; 
        }, 
        {
            columnName = "PREF_id"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "up_id"; }; 
            name = prefId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PREF_KEY"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "PARAM_KEY"; }; 
            name = prefKey; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            columnName = "pref_personnalisable"; 
            externalType = NUMBER; 
            name = prefPersonnalisable; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TYap_ID"; 
            externalType = NUMBER; 
            name = tyapId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (
        prefDefaultValue, 
        prefDescription, 
        prefId, 
        prefKey, 
        prefPersonnalisable, 
        tyapId
    ); 
    className = "org.cocktail.kava.server.metier.EOPreferences"; 
    classProperties = (
        prefDefaultValue, 
        prefDescription, 
        prefKey, 
        prefPersonnalisable, 
        typeApplication
    ); 
    externalName = "jefy_recette.preferences"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            prefDefaultValue, 
            prefDescription, 
            prefKey, 
            prefPersonnalisable, 
            typeApplication
        ); 
        "_javaClientClassName" = "org.cocktail.kava.client.metier.EOPreferences"; 
        "_nameInObjectStore" = PREFERENCE; 
    }; 
    name = Preferences; 
    primaryKeyAttributes = (prefId); 
    relationships = (
        {
            destination = TypeApplication; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tyapId; sourceAttribute = tyapId; }); 
            name = typeApplication; 
        }
    ); 
}
